Issuance Credit Batches
curl --request GET \
--url https://api.sandbox.isometric.com/registry/v0/issuances/{id}/credit_batches \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/registry/v0/issuances/{id}/credit_batches"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/registry/v0/issuances/{id}/credit_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"buffer_pool_credit_batch_size_total": {
"credit_kgs": 123,
"credits": 123
},
"buffer_pool_credit_batches": [
{
"beneficiary": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"carbon_removal_data": {
"counterfactuals_kg": 123,
"emissions_kg": 123,
"gross_carbon_removed_kg": 123,
"losses_kg": 123,
"net_carbon_removed_kg": 123
},
"ccp_approved": true,
"country_of_issue": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_id": "dlv_1C454ZXA61S03Z9T",
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
"id": "ctb_1DRBTYA8Q1S07CBY",
"issuance_id": "iss_1EWT8R5FY1S0GFCY",
"issued_at": "2023-11-07T05:31:56Z",
"left_child_id": "ctb_1DRBTYA8Q1S07CBY",
"owner": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"parent_id": "ctb_1DRBTYA8Q1S07CBY",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_id": "rmv_1EEM6NJXX1S0EXKD",
"retired_at": "2023-11-07T05:31:56Z",
"retirement_id": "ret_1FYBH4QDT1S0SVKF",
"right_child_id": "ctb_1DRBTYA8Q1S07CBY",
"sequestered_on": "2023-12-25",
"serial_number": "<string>",
"size": {
"credit_kgs": 123,
"credits": 123
},
"supplier_id": "spl_1CC712KFS1S0YKPS"
}
],
"credit_batch_size_total": {
"credit_kgs": 123,
"credits": 123
},
"issuance_id": "iss_1EWT8R5FY1S0GFCY",
"supplier_credit_batch_size_total": {
"credit_kgs": 123,
"credits": 123
},
"supplier_credit_batches": [
{
"beneficiary": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"carbon_removal_data": {
"counterfactuals_kg": 123,
"emissions_kg": 123,
"gross_carbon_removed_kg": 123,
"losses_kg": 123,
"net_carbon_removed_kg": 123
},
"ccp_approved": true,
"country_of_issue": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_id": "dlv_1C454ZXA61S03Z9T",
"ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
"id": "ctb_1DRBTYA8Q1S07CBY",
"issuance_id": "iss_1EWT8R5FY1S0GFCY",
"issued_at": "2023-11-07T05:31:56Z",
"left_child_id": "ctb_1DRBTYA8Q1S07CBY",
"owner": {
"domain": "isometric.com",
"id": "org_1GB56M1ST1S0GVNA",
"name": "<string>"
},
"parent_id": "ctb_1DRBTYA8Q1S07CBY",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"removal_id": "rmv_1EEM6NJXX1S0EXKD",
"retired_at": "2023-11-07T05:31:56Z",
"retirement_id": "ret_1FYBH4QDT1S0SVKF",
"right_child_id": "ctb_1DRBTYA8Q1S07CBY",
"sequestered_on": "2023-12-25",
"serial_number": "<string>",
"size": {
"credit_kgs": 123,
"credits": 123
},
"supplier_id": "spl_1CC712KFS1S0YKPS"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}API Reference
Issuance Credit Batches
List of credit batches for a given issuance.
Credit batches are divided between those allocated to the buffer pool and those allocated to the supplier. Note these are the original batches in the issuance, so some credit batches might be in status SPLIT if they had to be split for a delivery/transfer/retirement.
GET
/
issuances
/
{id}
/
credit_batches
Issuance Credit Batches
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
Example:
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
Required string length:
20 - 37Examples:
"iss_1EWT8R5FY1S0GFCY"
"iss_1CSVDDHH3SBXRP6K"
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
20 - 37Examples:
"iss_1EWT8R5FY1S0GFCY"
"iss_1CSVDDHH3SBXRP6K"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I